//go:build !arch_updates

package fetch

import (
	"os"
)

const (
	installedPkgsPath = "/var/lib/pacman/local/"
)

type PkgInfo struct {
	Installed        int
	AvailableUpdates int
}

func Pkgs() (*PkgInfo, error) {
	installed, err := listPkgsPacman()
	if err != nil {
		return nil, err
	}
	return &PkgInfo{installed, 0}, nil
}

func listPkgsPacman() (int, error) {
	files, err := os.ReadDir(installedPkgsPath)
	return len(files), err
}
