package main

import "strings"

const (
	UserIcon   = ""
	KernelIcon = ""
	UptimeIcon = ""
	MemoryIcon = "󰍛"
	ColorsIcon = ""
	PkgsIcon   = ""
)

const (
	OsArchIcon   = ""
	OsFedoraIcon = ""
	OsAlmaIcon   = ""
	OsUbuntuIcon = ""
	OsDebianIcon = ""
	OsLinuxIcon  = ""
)

func getOsIcon(name string) string {
	switch strings.Split(strings.ToLower(name), " ")[0] {
	case "arch":
		return OsArchIcon
	case "fedora":
		return OsFedoraIcon
	case "almalinux":
		return OsAlmaIcon
	case "ubuntu":
		return OsUbuntuIcon
	case "debian":
		return OsDebianIcon
	default:
		return OsLinuxIcon
	}
}
