package main

func must[T any](fn func() (T, error)) T {
	v, err := fn()
	if err != nil {
		panic(err)
	}
	return v
}

func conditional(cond bool, a, b string) string {
	if cond {
		return a
	}
	return b
}
